Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QueuedConnectionManager Class Reference

This flavor of ConnectionManager will queue up all of the reset-connection messages from the ConnectionReaders and ConnectionWriters and report them to the client on demand. More...

Inheritance diagram for QueuedConnectionManager:

List of all members.

## Public Member Functions
| QueuedConnectionManager ()
bool | getResetConnection (PointerToConnection connection)
| If a previous call to reset_connection_available() returned true, this function will return information about the newly reset connection.
bool | resetConnectionAvailable ()
| Returns true if one of the readers/writers/listeners reported a connection reset recently.

## Detailed Description

This flavor of ConnectionManager will queue up all of the reset-connection messages from the ConnectionReaders and ConnectionWriters and report them to the client on demand.

When a reset connection has been discovered via reset_connection_available()/get_reset_connection(), it is still the responsibility of the client to call close_connection() on that connection to free up its resources.

## Constructor & Destructor Documentation

QueuedConnectionManager | ( |  | ) |

## Member Function Documentation

bool getResetConnection | ( | PointerToConnection | connection | ) |

If a previous call to reset_connection_available() returned true, this function will return information about the newly reset connection.

Only connections which were externally reset are certain to appear in this list. Those which were explicitly closed via a call to close_connection() may or may not be reported. Furthermore, it is the responsibility of the caller to subsequently call close_connection() with any connection reported reset by this call. (There is no harm in calling close_connection() more than once on a given socket.)

The return value is true if a connection was successfully returned, or false if there was, in fact, no reset connection. (This may happen if there are multiple threads accessing the QueuedConnectionManager).

bool resetConnectionAvailable | ( |  | ) |

Returns true if one of the readers/writers/listeners reported a connection reset recently.

If so, the particular connection that has been reset can be extracted via get_reset_connection().

Only connections which were externally reset are certain to appear in this list. Those which were explicitly closed via a call to close_connection() may or may not be reported. Furthermore, it is the responsibility of the caller to subsequently call close_connection() with any connection reported reset by this call. (There is no harm in calling close_connection() more than once on a given socket.)

All Classes Namespaces Functions Variables Enumerations Enumerator Properties